package com.yihaomen.hm.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.yihaomen.hm.model.User;
import com.yihaomen.hm.orm.jpa.UserRepository;
import com.yihaomen.hm.orm.mybatis.UserMapper;
import com.yihaomen.hm.service.UserService;

import java.util.List;

@Service("userService")
public class UserServiceImpl implements UserService {

	@Autowired
    private UserRepository userRepository;

	@Autowired
    private UserMapper userMapper;

   
    @Override
    @Transactional
    public User save(User user) {
        return userRepository.save(user);
    }

    @Override
    @Transactional(readOnly = true)
    public User findById(Long id) {
        return userMapper.selectByUserId(id);
    }

    @Override
    @Transactional(readOnly = true)
    public List<User> findAll() {
        return userMapper.selectAllUser();
    }
}
